Subject: bug#66863: [PATCH] Add two docstrings in cl-macs.el

From: Stefan Monnier <[email-masked]>
Date: Wed, 01 Nov 2023 08:17:36 -0400

> From 16298965905b1859aa8a342b98803f4abd6da3f0 Mon Sep 17 00:00:00 2001
> From: Jeremy Bryant <[email-masked]>
> Date: Tue, 31 Oct 2023 23:37:10 +0000
> Subject: [PATCH] Add two docstrings in cl-macs.el

Thanks, pushed.

>  (defun cl--simple-exprs-p (xs)
> +  "Map `cl--simple-expr-p' to each element of list XS."

This doesn't say how the results of `cl--simple-expr-p` are combined,
it might even suggest they're returned as a list.
I think I would have said something like 

    "Like `cl--simple-expr-p' but for a list of expressions."

>  (defun cl--const-expr-p (x)
> +  "Check if X is constant (i.e., no side effects or dependencies).
> +
> +See `macroexp-const-p' for similar functionality without cl-lib dependency."

"Similar" fails to describe the difference :-(
[ Note, I can't blame you: I know the difference but I couldn't come up
  with a useful description of it, that is, one that is easier to
  understand than the code itself.  FWIW I believe the difference is
  a latent bug, which is partly why I'd like to delete the function :-)  ]

        Stefan